Uploaded image for project: 'JBoss OSGi'
  1. JBoss OSGi
  2. JBOSGI-626

Upgrading EAP6 JBOSGI Implementation

    Details

    • Type: Release
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Rejected
    • Affects Version/s: JBossOSGi 1.1.1
    • Fix Version/s: None
    • Component/s: framework
    • Labels:
    • Affects:
      Compatibility/Configuration
    • Estimated Difficulty:
      Medium

      Description

      I've been having problems with OSGI and from forums it is clear there is a lot of activity and fixes with forthcoming jbosgi implementations. Additionally - capabilities everyone is using generally specify versions 0.4 of aries and felix bundles.

      Can I update my 7.1.2.Final version of jboss as to use 'better' versions of jbosgi and capabilities? Are there compatibility issues? Project page says framework version supported for 7.1.2.Final is at most 1.1.1. That true or could I upgrade. Is there a central area showing me modules/versions I'd need to install and an updated capabilities list?

      Been trying to upgrade aries/felix on my own and this seems to load fine, but I can't get aries jmx and blueprint bundles to start, and there are no messages to help.

      <capabilities>
      <capability name="javax.servlet.api:v25"/>
      <capability name="javax.transaction.api"/>
      <capability name="org.jboss.osgi.logging" startlevel="1"/>
      <capability name="org.apache.felix:org.apache.felix.log:1.0.1" startlevel="2"/>
      <capability name="org.apache.felix:org.apache.felix.configadmin:1.6.0" startlevel="2"/>
      <capability name="org.jboss.as.osgi.configadmin" startlevel="2"/>
      <capability name="org.ops4j.pax.web:pax-web-jetty-bundle:1.1.2" startlevel="1"/>
      <capability name="org.ops4j.pax.web:pax-web-jsp:1.1.2" startlevel="1"/>
      <capability name="commons-io:commons-io:2.4" startlevel="1"/>
      <capability name="org.apache.geronimo.bundles:json:20090211_1" startlevel="1"/>
      <capability name="commons-fileupload:commons-fileupload:1.2.1" startlevel="1"/>
      <capability name="org.apache.felix:org.apache.felix.webconsole:4.0.0" startlevel="3"/>
      <capability name="org.apache.aries:org.apache.aries.util:1.0.0"/>
      <capability name="org.apache.aries.jmx:org.apache.aries.jmx:1.0.0" startlevel="2"/>
      <capability name="org.jboss.osgi.jmx:jbosgi-jmx:1.1.0.Final"/>
      <capability name="org.apache.aries.proxy:org.apache.aries.proxy:1.0.0" startlevel="3"/>
      <capability name="org.apache.aries.blueprint:org.apache.aries.blueprint:1.0.0" startlevel="2"/>
      </capabilities>

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                thomas.diesler Thomas Diesler
                Reporter:
                djchapm Daniel Chapman
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: